AOZ Studio Beta - Bug #593

Mult--level If, Else-If, End If locks up transpiler.
11/25/2020 01:58 AM - Brian Flanagan

Status: Closed Start date:
Priority: High Due date:
Assignee: % Done:
Category: Estimated time:

Target version:

Affected version: Beta 2

11/24/2020

0%
2:00 hours

Description

History

#1 - 11/25/2020 02:04 AM - Brian Flanagan
- Priority changed from Normal to High
- Estimated time set to 2:00 h

- Affected version set to Beta 2

Attempting to transpile the following code will lock up the transpiler.
It repeatedly generates "Editor is not responding" errors.
| assume it is in an infinite loop

X="7

If X=0
Print "X=0"
Else If X=1
Print "X=1"
Else If X=2
Print "X=2"
Else
Print "X<0 OR X>2"
End If

#2 - 12/08/2020 08:41 AM - Brian Flanagan

- Status changed from New to Resolved

Retested in updated version of Beta 2.
It's working now!

#3 - 07/15/2021 12:50 PM - Brian Flanagan

- Status changed from Resolved to Closed

Verified working!
